=== debian/control ===
Source: kidentitymanagement
Section: libs
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Sandro Knauß <hefee@debian.org>,
           Patrick Franz <deltaone@debian.org>,
Build-Depends: cmake (>= 3.16~),
               debhelper-compat (= 13),
               extra-cmake-modules (>= 5.99.0~),
               gettext,
               libkf5codecs-dev (>= 5.99.0~),
               libkf5config-dev (>= 5.99.0~),
               libkf5coreaddons-dev (>= 5.99.0~),
               libkf5kio-dev (>= 5.99.0~),
               libkf5pimtextedit-dev (>= 22.12.3~),
               libkf5textwidgets-dev (>= 5.99.0~),
               libkf5xmlgui-dev (>= 5.99.0~),
               pkg-kde-tools (>> 0.15.15),
               qtbase5-dev (>= 5.15.2~),
               xauth,
               xvfb,
Standards-Version: 4.6.2
Homepage: https://invent.kde.org/pim/kidentitymanagement
Vcs-Browser: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement
Vcs-Git: https://salsa.debian.org/qt-kde-team/kde/kidentitymanagement.git
Rules-Requires-Root: no

Package: libkf5identitymanagement-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5codecs-dev (>= 5.99.0~),
         libkf5config-dev (>= 5.99.0~),
         libkf5coreaddons-dev (>= 5.99.0~),
         libkf5identitymanagement5 (= ${binary:Version}),
         libkf5identitymanagementwidgets5 (= ${binary:Version}),
         libkf5pimtextedit-dev (>= 22.12.3~),
         libkf5xmlgui-dev (>= 5.99.0~),
         qtbase5-dev (>= 5.15.2~),
         ${misc:Depends},
Description: library for managing user identities - development files
 This library provides an API for managing user identities.
 .
 This package contains the development files.

Package: libkf5identitymanagement5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities
 This library provides an API for managing user identities.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage},

Package: libkf5identitymanagementwidgets5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends},
Description: library for managing user identities widgets
 This library provides an API for managing user identities with widgets.
 .
 This package is part of the KDE Development Platform PIM libraries module.
Provides: ${ABI:VirtualPackage},
