=== src/CMakeLists.txt ===
# SPDX-FileCopyrightText: Volker Krause <vkrause@kde.org>
# SPDX-License-Identifier: BSD-3-Clause

add_subdirectory(core)
add_subdirectory(widgets)
