=== debian/control ===
--- 
+++ 
@@ -15,7 +15,7 @@
                libkf5iconthemes-dev (>= 5.31.0~),
                libkf5kdelibs4support-dev (>= 5.31.0~),
                libkf5kio-dev (>= 5.31.0~),
-               libkf5pimtextedit-dev (>= 23.08.4~),
+               libkf5pimtextedit-dev (>= 23.08.5~),
                libkf5textaddons-dev,
                libkf5textwidgets-dev (>= 5.31.0~),
                libkf5xmlgui-dev (>= 5.31.0~),
@@ -43,7 +43,7 @@
 Architecture: any
 Multi-Arch: same
 Depends: libkf5coreaddons-dev (>= 5.31.0~),
-         libkf5pimtextedit-dev (>= 23.08.4~),
+         libkf5pimtextedit-dev (>= 23.08.5~),
          libkpim5identitymanagement5 (= ${binary:Version}),
          libkpim5identitymanagementwidgets5 (= ${binary:Version}),
          ${misc:Depends},
