=== debian/control ===
--- 
+++ 
@@ -3,10 +3,10 @@
 Priority: optional
 Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Sandro Knauß <hefee@debian.org>, Patrick Franz <deltaone@debian.org>,
-Build-Depends: cmake (>= 3.16~),
-               debhelper-compat (= 13),
+Build-Depends: debhelper-compat (= 13),
                dh-sequence-kf6,
                dh-sequence-qmldeps,
+               cmake (>= 3.16~),
                extra-cmake-modules (>= 6.6.0~),
                gettext,
                kirigami-addons-dev (>= 1.0.0),
@@ -16,7 +16,7 @@
                libkf6i18n-dev (>= 6.6.0~),
                libkf6kio-dev (>= 6.6.0~),
                libkf6xmlgui-dev (>= 6.6.0~),
-               libkpimtextedit-dev (>= 24.12.0~),
+               libkpimtextedit-dev (>= 24.12.2~),
                libktextaddons-dev (>= 1.5.4~),
                qt6-base-dev (>= 6.7.0~),
                qt6-declarative-dev (>= 6.6.0+dfsg~),
@@ -46,7 +46,7 @@
          libkpim6identitymanagementcore6 (= ${binary:Version}),
          libkpim6identitymanagementquick6 (= ${binary:Version}),
          libkpim6identitymanagementwidgets6 (= ${binary:Version}),
-         libkpimtextedit-dev (>= 24.12.0~),
+         libkpimtextedit-dev (>= 24.12.2~),
          qml6-module-org-kde-kidentitymanagement (= ${binary:Version}),
          ${misc:Depends},
 Description: library for managing user identities - development files
